#!/usr/bin/env node
'use strict';
var program = require('commander');
var http = require('http');
var https = require('https');
var fs = require('fs');
var unzip = require('unzip');
var rmdir = require('rmdir');
var path = require('path');
var ProgressBar = require('progress');
var open = require('open');
var cr = require('../lib/create');

// index.js


// Root Derectory 
var appDir = path.dirname(require.main.filename);
fs.createReadStream(appDir+'/lib/data/css/owl.css').pipe(fs.createWriteStream('css/owl.css'));
var cmd=require('node-cmd');

program.command("sp");
program
.version('0.0.1')
.option('create')
.option('read')
.option('--ps')
.option("--machineName","return machine name")
.action(function(cmd){
    var resultObject = {};
    console.log(cmd)
    if(cmd.machineName){
            if (program.ps) {console.log('  - peppers');}
        resultObject.ps = function(){
        }
    }
    return resultObject;
}).parse(process.argv);

/* Create Folder  and Add Structure */
if (program.create)
{
    cr.create();
}
if(program.read )
{
    var contents = fs.readFileSync('index.html', 'utf8');
    fs.readFile('index.html', 'utf8', function (err,data) {
        if (err) 
        {
            return console.log(err);
        }
        var request = http.get('http://shivang.comuf.com/data/css/owl.carousel.css',function(response){
            var file = fs.createWriteStream("css/owl.carousel.css");
            response.pipe(file);
        })
        var css= '<link href="css/screen.css" rel="stylesheet" />';
        var result = data.replace(css, css +'\r\n <link href="css/owl.carousel.css" rel="stylesheet" />')
        fs.writeFile('index.html', result, 'utf8', function (err) {
            if (err) 
            {return console.log(err);}
        });
        console.log(0)

    })
    setTimeout(function(){
        fs.readFile('index.html', 'utf8', function (err,data) {
            if (err) 
            {
                return console.log(err);
            }
            var request = http.get('http://shivang.comuf.com/data/js/owl.carousel.js',function(response){
                var file = fs.createWriteStream("js/owl.carousel.js");
                response.pipe(file);
            })
            //fs.createReadStream('').pipe(fs.createWriteStream('css/owl.css'));
            var js= '<script src="js/main.js"></script>';
            var result = data.replace(js, js +'\r\n <script src="js/owl.carousel.js"></script>');
            fs.writeFile('index.html', result, 'utf8', function (err) {
                if (err) 
                {return console.log(err);}
            });
            console.log(1)
        })

    },500)
}
